{ pkgs ? import <nixpkgs> {} }:
rec {
  ssg = import ./ssg { inherit pkgs; };

  shell = pkgs.haskellPackages.shellFor {
    withHoogle = false;
    packages = p: [ ssg ];
    buildInputs = [
      ssg
      pkgs.haskellPackages.cabal-install
      pkgs.haskellPackages.haskell-language-server
      pkgs.haskellPackages.cabal2nix
      pkgs.elmPackages.elm
    ];
  };

  site = pkgs.stdenv.mkDerivation {
    name = "recursorwf";
    src = ./src;
    buildInputs = [
      pkgs.elmPackages.elm
    ];
    buildPhase = ''
      ${pkgs.elmPackages.fetchElmDeps {
        elmPackages = import ./elm-srcs.nix;
        elmVersion = "0.19.1";
        registryDat = ./registry.dat;
      }}
      ${ssg}/bin/ssg build
      ls
      '';
    installPhase = ''
      mv _site $out
      '';
    };
}
